Bug 243459 - Nautilus conflicts with WindowMaker window manager
Nautilus conflicts with WindowMaker window manager
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Depends On:
  Show dependency treegraph
Reported: 2007-06-08 15:48 EDT by Paul Johnson
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:31:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Johnson 2007-06-08 15:48:40 EDT
Description of problem:

I want WindowMaker as my window manager, but it appears to conflict with
Nautilus.  WindowMaker fails to start if Nautilus is starting, even if it is
supposed to run with --no-desktop.  Error panel pops up and says

Nautilus can't be used now, due to an unexpected error from Bonobo when
attempting to locate the factory.  Killing bonobo-activation-server and
restarting Nautilus may help fix the problem.

Version-Release number of selected component (if applicable):

How reproducible:

1. In System/Preferences/session, change metacity to "normal" mode, then disable

2. run wmaker from a terminal.  Nautilus dies.  

3. Then system is probably "locked up" and Alt-Ctl-Backspace will bring gdm back
to life.  Log in and WindowMaker won't start, and there is no recourse but to
choose metacity as the fall back window manager.

Actual results:

Death to Nautilus or WindowMaker or both.
Nautilus refuses to stay out of the desktop management business, and dies
because Window Maker is trying to set backgrounds.

Expected results:

In all previous Fedora, there was no trouble, except that it was hard to
persuade the session manager that you really don't want metacity and you don't
want Nautilus controlling the desktop.  Now the Gnome desktop has become so
idiot-proof even experienced users can't get what they need.  Linus's criticism
of Gnome rings true now.  The system has been so horribly dumbed down that only
the dumbest users can stand it.

Additional info:
Comment 1 Bug Zapper 2008-05-14 08:56:53 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:31:06 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.